> For the complete documentation index, see [llms.txt](https://docs.360dialog.com/partner/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.360dialog.com/partner/partner-api/api-reference/client-management.md).

# Client Management

Endpoints for managing clients and their configurations

## Retrieve list of clients

> This endpoint allows partners to get the list of clients.

```json
{"openapi":"3.1.0","info":{"title":"Partners V2 API","version":"2.0.0"},"tags":[{"name":"Client Management","description":"Endpoints for managing clients and their configurations"}],"servers":[{"description":"Production Server","url":"https://hub.360dialog.io"}],"security":[{"PartnerApiKeyV2":[]},{"Bearer":[]}],"components":{"securitySchemes":{"PartnerApiKeyV2":{"type":"apiKey","name":"X-API-Key","in":"header","description":"API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method."},"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Bearer token authentication. Token obtained via /api/v2/token endpoint."}},"schemas":{"PartnerClientsListFilterIn":{"type":"object","properties":{"id":{},"name":{},"status":{},"meta_info.business_vertical":{},"meta_info.timezone":{},"meta_info.about":{},"meta_info.business_description":{},"meta_info.use_case":{},"contact_info.webpage_url":{},"contact_info.phone":{},"contact_info.language":{},"contact_info.country":{},"contact_info.street_name":{},"contact_info.city":{},"contact_info.email":{},"contact_info.zip_code":{},"contact_user.phone":{},"contact_user.email":{},"contact_user.name":{}},"additionalProperties":false},"PartnerClientsPublicOut":{"type":"object","properties":{"limit":{"type":"integer","description":"Maximum number of results to return"},"offset":{"type":"integer","description":"Number of results to skip"},"sort":{"type":"array","description":"Sort results by client fields","items":{"type":"string"}},"filters":{"type":"object","description":"Filter results by client fields","additionalProperties":{}},"total":{"type":"integer","description":"Total number of results"},"count":{"type":"integer","description":"Number of results returned"},"clients":{"type":"array","description":"List of client objects","items":{"$ref":"#/components/schemas/ClientPayloadOut"}}},"additionalProperties":false},"ClientPayloadOut":{"type":"object","properties":{"modified_by":{"type":"object","description":"Information about the user who last modified the entity","additionalProperties":{}},"created_by":{"type":"object","description":"Information about the user who created the entity","additionalProperties":{}},"modified_at":{"type":"string","description":"Time when the entity was last modified"},"created_at":{"type":"string","description":"Time when the entity was created"},"id":{"type":"string","description":"Client ID"},"name":{"type":"string","description":"Client name"},"status":{"type":"string","description":"Client status"},"organisation":{"type":"string","description":"[Deprecated]","deprecated":true},"meta_info":{"description":"[Deprecated]","deprecated":true,"allOf":[{"$ref":"#/components/schemas/ClientMetaInfo"}]},"contact_info":{"description":"Client (company) contact and address info","allOf":[{"$ref":"#/components/schemas/ContactInfo"}]},"contact_user":{"description":"Client contact person","allOf":[{"$ref":"#/components/schemas/ContactUser"}]},"partner_payload":{"type":"string","description":"Optional field that partner can use to configure something on their logic or distinguish clients based on different values"},"max_channels":{"type":"integer","description":"Maximum number of channels/numbers that the client can have"},"suspicious":{"type":"boolean","description":"[Internal Field]","deprecated":true},"enabled_for_chat_support":{"type":"boolean","description":"[Internal Field]","deprecated":true},"fb_business_id":{"type":"string","description":"Business ID of the first whatsapp business account that this client used to onboard a number","nullable":true}},"additionalProperties":false},"ClientMetaInfo":{"type":"object","properties":{"business_vertical":{"type":"string","nullable":true},"timezone":{"type":"string","nullable":true},"about":{"type":"string","nullable":true},"business_description":{"type":"string","nullable":true},"use_case":{"type":"string","nullable":true}},"additionalProperties":false},"ContactInfo":{"type":"object","properties":{"email":{"type":"string","format":"email","nullable":true},"webpage_url":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"language":{"type":"string","nullable":true},"country":{"type":"string","description":"Country code","nullable":true},"street_name":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"full_name":{"type":"string","nullable":true},"zip_code":{"type":"string","nullable":true}},"additionalProperties":false},"ContactUser":{"type":"object","properties":{"email":{"type":"string","format":"email","nullable":true},"phone":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"DefaultValidationError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/MetaSchemaErrorWithDetails"}]}},"required":["meta"],"additionalProperties":false},"MetaSchemaErrorWithDetails":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"},"details":{"type":"object","description":"Additional error data","additionalProperties":{}}},"required":["developer_message","http_code","success"],"additionalProperties":false},"DefaultHttpError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/_MetaSchemaError"}]}},"required":["meta"],"additionalProperties":false},"_MetaSchemaError":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"}},"required":["developer_message","http_code","success"],"additionalProperties":false}}},"paths":{"/api/v2/partners/{partner_id}/clients":{"get":{"parameters":[{"in":"query","name":"filters","description":"Filter results by client fields","schema":{"allOf":[{"$ref":"#/components/schemas/PartnerClientsListFilterIn"}]},"required":false},{"in":"query","name":"sort","description":"Sort results by client fields","schema":{"type":"string","enum":["id","name","status","meta_info.business_vertical","meta_info.timezone","meta_info.about","meta_info.business_description","meta_info.use_case","contact_info.webpage_url","contact_info.email","contact_info.phone","contact_info.language","contact_info.country","contact_info.street_name","contact_info.city","contact_info.zip_code","contact_user.phone","contact_user.email","contact_user.name","created_at","modified_at"]},"required":false},{"in":"query","name":"offset","description":"Number of results to skip","schema":{"type":"integer"},"required":false},{"in":"query","name":"limit","description":"Maximum number of results to return","schema":{"type":"integer"},"required":false},{"in":"path","name":"partner_id","description":"The ID of the partner.","schema":{"type":"string"},"required":true}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerClientsPublicOut"}}},"description":"Successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultValidationError"}}},"description":"Wrong payload"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpError"}}},"description":"Not found"}},"tags":["Client Management"],"summary":"Retrieve list of clients","description":"This endpoint allows partners to get the list of clients.","operationId":"get_client_management_docs_api_get_list"}}}}
```

## Update a client

> This endpoint allows partners to update client onboarding settings.

```json
{"openapi":"3.1.0","info":{"title":"Partners V2 API","version":"2.0.0"},"tags":[{"name":"Client Management","description":"Endpoints for managing clients and their configurations"}],"servers":[{"description":"Production Server","url":"https://hub.360dialog.io"}],"security":[{"PartnerApiKeyV2":[]},{"Bearer":[]}],"components":{"securitySchemes":{"PartnerApiKeyV2":{"type":"apiKey","name":"X-API-Key","in":"header","description":"API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method."},"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Bearer token authentication. Token obtained via /api/v2/token endpoint."}},"schemas":{"ClientPayloadOut":{"type":"object","properties":{"modified_by":{"type":"object","description":"Information about the user who last modified the entity","additionalProperties":{}},"created_by":{"type":"object","description":"Information about the user who created the entity","additionalProperties":{}},"modified_at":{"type":"string","description":"Time when the entity was last modified"},"created_at":{"type":"string","description":"Time when the entity was created"},"id":{"type":"string","description":"Client ID"},"name":{"type":"string","description":"Client name"},"status":{"type":"string","description":"Client status"},"organisation":{"type":"string","description":"[Deprecated]","deprecated":true},"meta_info":{"description":"[Deprecated]","deprecated":true,"allOf":[{"$ref":"#/components/schemas/ClientMetaInfo"}]},"contact_info":{"description":"Client (company) contact and address info","allOf":[{"$ref":"#/components/schemas/ContactInfo"}]},"contact_user":{"description":"Client contact person","allOf":[{"$ref":"#/components/schemas/ContactUser"}]},"partner_payload":{"type":"string","description":"Optional field that partner can use to configure something on their logic or distinguish clients based on different values"},"max_channels":{"type":"integer","description":"Maximum number of channels/numbers that the client can have"},"suspicious":{"type":"boolean","description":"[Internal Field]","deprecated":true},"enabled_for_chat_support":{"type":"boolean","description":"[Internal Field]","deprecated":true},"fb_business_id":{"type":"string","description":"Business ID of the first whatsapp business account that this client used to onboard a number","nullable":true}},"additionalProperties":false},"ClientMetaInfo":{"type":"object","properties":{"business_vertical":{"type":"string","nullable":true},"timezone":{"type":"string","nullable":true},"about":{"type":"string","nullable":true},"business_description":{"type":"string","nullable":true},"use_case":{"type":"string","nullable":true}},"additionalProperties":false},"ContactInfo":{"type":"object","properties":{"email":{"type":"string","format":"email","nullable":true},"webpage_url":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"language":{"type":"string","nullable":true},"country":{"type":"string","description":"Country code","nullable":true},"street_name":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"full_name":{"type":"string","nullable":true},"zip_code":{"type":"string","nullable":true}},"additionalProperties":false},"ContactUser":{"type":"object","properties":{"email":{"type":"string","format":"email","nullable":true},"phone":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"DefaultValidationError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/MetaSchemaErrorWithDetails"}]}},"required":["meta"],"additionalProperties":false},"MetaSchemaErrorWithDetails":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"},"details":{"type":"object","description":"Additional error data","additionalProperties":{}}},"required":["developer_message","http_code","success"],"additionalProperties":false},"DefaultHttpError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/_MetaSchemaError"}]}},"required":["meta"],"additionalProperties":false},"_MetaSchemaError":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"}},"required":["developer_message","http_code","success"],"additionalProperties":false},"PartnerClientUpdateIn":{"type":"object","properties":{"partner_payload":{"type":"string","description":"Optional field that partner can use to configure something on their logic or distinguish clients based on different values"},"max_channels":{"type":"integer","description":"Maximum number of channels/numbers that the client can have"}},"additionalProperties":false}}},"paths":{"/api/v2/partners/{partner_id}/clients/{client_id}":{"patch":{"parameters":[{"in":"path","name":"client_id","description":"The ID of the client.","schema":{"type":"string"},"required":true},{"in":"path","name":"partner_id","description":"The ID of the partner.","schema":{"type":"string"},"required":true}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientPayloadOut"}}},"description":"Successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultValidationError"}}},"description":"Wrong payload"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpError"}}},"description":"Not found"}},"tags":["Client Management"],"summary":"Update a client","description":"This endpoint allows partners to update client onboarding settings.","operationId":"patch_client_management_docs_api_update_client","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerClientUpdateIn"}}}}}}}}
```

## Retrieve Shared Client Numbers

> This endpoint retrieves the list of channels that clients shared with the partner

```json
{"openapi":"3.1.0","info":{"title":"Partners V2 API","version":"2.0.0"},"tags":[{"name":"Client Management","description":"Endpoints for managing clients and their configurations"}],"servers":[{"description":"Production Server","url":"https://hub.360dialog.io"}],"security":[{"PartnerApiKeyV2":[]},{"Bearer":[]}],"components":{"securitySchemes":{"PartnerApiKeyV2":{"type":"apiKey","name":"X-API-Key","in":"header","description":"API Key for V2 authentication. Send your Partner API key in the X-API-Key header. Preferred authentication method."},"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Bearer token authentication. Token obtained via /api/v2/token endpoint."}},"schemas":{"ChannelPublicPayloadOut":{"type":"object","properties":{"status":{"type":"string","enum":["created","unverified","verified","ready","transferred","modified","imported","new_name_requested","certificate_declined","consents_signed","error","porting_ready","ready_for_migration","waiting_for_migration_code","migration_code_requested","migration_verified","unregistered","removed"],"description":"Current status of the channel. Possible values are:\n- **created**: The channel is created and process for onboarding is started.\n- **unverified**: The channel is submitted to Meta and waiting for them to verify the display name.\n- **verified**: The channel display name is verified by Meta.\n- **ready**: The channel onboarding is completed and can be used for sending and receiving messages.\n- **transferred**: The channel is transferred to another BSP and 360dialog does not have access to it.\n- **modified**: [deprecated] When a channel name is updated.\n- **imported**: [deprecated]\n- **new_name_requested**: A new display name is requested for the channel and waiting for Meta's approval.\n- **certificate_declined**: The channel display name is rejected by Meta.\n- **consents_signed**: [deprecated]\n- **error**: Channel setup is failed for any reason and channel can not be used for messaging.\n- **porting_ready**: [deprecated]\n- **ready_for_migration**: [deprecated] A new channel is created to migrate a phone number from another BSP to 360dialog.\n- **waiting_for_migration_code**: [deprecated] Channel migration is initiated and next step is requesting a migration code from Meta.\n- **migration_code_requested**: [deprecated] Channel migration code is requested from Meta.\n- **migration_verified**: [deprecated] Channel migration is verified.\n- **unregistered**: [deprecated] [on-prem] On-prem stack health has become unregistered and needs to be re-registered.\n- **removed**: 360dialog does not have access to the number on Meta."},"id":{"type":"string","description":"Channel ID"},"cancelled_at":{"type":"string","description":"Channel cancellation datetime","nullable":true},"client_id":{"type":"string","description":"Client ID that is the owner of the channel"},"created_at":{"type":"string","description":"Channel creation datetime"},"current_limit":{"type":"string","description":"Meta's number current limit, can be NA or from TIER_50 to TIER_UNLIMITED"},"current_quality_rating":{"type":"string","description":"Meta's number current quality rating, can be NA, Low, Medium or High"},"current_quality_update_event":{"type":"string","description":"Meta's Last number quality update event","nullable":true},"is_oba":{"type":"boolean","description":"Indicates if business phone number is an Meta's [Official Business Account](https://developers.facebook.com/docs/whatsapp/overview/business-accounts/#official-business-account)."},"hub_status":{"type":"string","description":"**[Deprecated]** Current hub status of the channel. Use `availability_status` as the source of truth. Possible values are:\n- **live**: Number is live and connected and messaging is available.\n- **sandbox**: [deprecated] Number is available in sandbox environment.\n- **done**: [deprecated] Same as live.\n- **pending**: [deprecated] [on-prem] An on-prem stack is being setup.\n- **draft**: Stack is being setup for the number.\n- **pending_deletion**: Number will be terminated soon.\n- **unregistered**: [deprecated] [on-prem] On-prem stack health has become unregistered and needs to be re-registered.\n- **unknown**: Unknown status. Needs to be checked by support.","deprecated":true},"availability_status":{"type":"string","enum":["setting_up","ready","error","cancelled","inactive"],"description":"Current availability status of the channel. This is the unified source of truth for channel availability. Possible values are:\n- **setting_up**: Channel is being set up\n- **ready**: Channel is ready and available for messaging\n- **error**: Channel has an error and is not available for messaging\n- **cancelled**: Channel is cancelled (cancelled_at is set, not yet terminated)\n- **inactive**: Channel is inactive (terminated_at is in the past)","nullable":true},"settings":{"description":"Channel settings","allOf":[{"$ref":"#/components/schemas/Settings"}]},"setup_info":{"description":"Channel setup information","allOf":[{"$ref":"#/components/schemas/ChannelSetupInfo"}]},"terminated_at":{"type":"string","description":"Channel termination datetime","nullable":true},"account_mode":{"type":"string","description":"[Deprecated] Can be live or sandbox","deprecated":true},"billing_started_at":{"type":"string","description":"[Deprecated]","deprecated":true,"nullable":true},"is_migrated":{"type":"boolean","description":"[Internal Field]","deprecated":true},"has_inbox":{"type":"boolean","description":"[Internal Field]","deprecated":true,"nullable":true},"version":{"type":"integer","description":"[Deprecated]","deprecated":true}},"additionalProperties":false},"Settings":{"type":"object","properties":{"tier":{"type":"string","description":"Billing tier","nullable":true},"is_allowed_to_send_outbound_message":{"type":"boolean","description":"[Internal Field]","deprecated":true},"data_localization_region":{"type":"string","description":"The region where your message data is stored on Meta infrastructure https://www.facebook.com/legal/Meta-Hosting-Terms-Cloud-API","nullable":true},"throughput":{"description":"Current throughput settings","anyOf":[{"$ref":"#/components/schemas/Throughput"},{"type":"object","nullable":true}]}},"additionalProperties":false},"Throughput":{"type":"object","properties":{"level":{"type":"string","description":"Current throughput level","nullable":true}},"additionalProperties":false},"ChannelSetupInfo":{"type":"object","properties":{"phone_name":{"type":"string","description":"Meta's phone name","nullable":true},"phone_number":{"type":"string","description":"Phone number","nullable":true},"certificate":{"type":"string","description":"Number certificate on Meta","nullable":true},"default_language":{"type":"string","description":"Default language for the number","nullable":true},"ivr":{"type":"boolean","description":"Does number have Interactive Voice Response?"},"verification_method":{"type":"string","enum":["voice","sms"],"description":"Methods to receive an OTP and verify the number ownership","nullable":true},"was_in_use":{"type":"boolean","description":"Was the WhatsApp number already in use?"}},"additionalProperties":false},"DefaultValidationError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/MetaSchemaErrorWithDetails"}]}},"required":["meta"],"additionalProperties":false},"MetaSchemaErrorWithDetails":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"},"details":{"type":"object","description":"Additional error data","additionalProperties":{}}},"required":["developer_message","http_code","success"],"additionalProperties":false},"DefaultHttpError":{"type":"object","properties":{"meta":{"allOf":[{"$ref":"#/components/schemas/_MetaSchemaError"}]}},"required":["meta"],"additionalProperties":false},"_MetaSchemaError":{"type":"object","properties":{"developer_message":{"type":"string"},"http_code":{"type":"integer"},"success":{"type":"boolean"},"360dialog_trace_id":{"type":"string","description":"Trace ID for debugging purposes"}},"required":["developer_message","http_code","success"],"additionalProperties":false}}},"paths":{"/api/v2/partners/{partner_id}/clients/{client_id}/shared_client_numbers":{"get":{"parameters":[{"in":"path","name":"client_id","description":"The ID of the client.","schema":{"type":"string"},"required":true},{"in":"path","name":"partner_id","description":"The ID of the partner.","schema":{"type":"string"},"required":true}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChannelPublicPayloadOut"}}}},"description":"Successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultValidationError"}}},"description":"Wrong payload"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultHttpError"}}},"description":"Not found"}},"tags":["Client Management"],"summary":"Retrieve Shared Client Numbers","description":"This endpoint retrieves the list of channels that clients shared with the partner","operationId":"get_client_management_docs_api_get_shared_clients_numbers"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.360dialog.com/partner/partner-api/api-reference/client-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
